<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 13 11:35:37 CET 2020 -->
<title>Channel</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-02-13">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Channel";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Channel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">fr.polytech.ybene.prd.xmltv</a></div>
<h2 title="Enum Channel" class="title">Enum Channel</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&gt;</li>
<li>
<ul class="inheritance">
<li>fr.polytech.ybene.prd.xmltv.Channel</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>java.lang.Comparable&lt;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&gt;</code></dd>
</dl>
<hr>
<pre>public enum <span class="typeNameLabel">Channel</span>
extends java.lang.Enum&lt;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&gt;</pre>
<div class="block">Channel represents all possible channels used in the project.
 There are two values which define the channel :
 - The channel code in the XMLTV file
 - The channel name</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Yohann BENETREAULT</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum Constant</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#ARTE">ARTE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#BFMTV">BFMTV</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#C8">C8</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#CHERIE25">CHERIE25</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#CNEWS">CNEWS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#CSTAR">CSTAR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#EQUIPE">EQUIPE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCE2">FRANCE2</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCE3">FRANCE3</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCE4">FRANCE4</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCE5">FRANCE5</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCEINFO">FRANCEINFO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#FRANCEO">FRANCEO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#GULLI">GULLI</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#LCI">LCI</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#LCP">LCP</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#M6">M6</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#NRJ12">NRJ12</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#RMC_DECOUVERTE">RMC_DECOUVERTE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#RMC_STORY">RMC_STORY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#TER">TER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#TF1">TF1</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#TF1_S_F">TF1_S_F</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#TFX">TFX</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#TMC">TMC</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><code><span class="memberNameLink"><a href="#W9">W9</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChannelCode()">getChannelCode</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChannelFromCode(java.lang.String)">getChannelFromCode</a></span>&#8203;(java.lang.String&nbsp;code)</code></th>
<td class="colLast">
<div class="block">Get the channel name with its code</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChannelName()">getChannelName</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valueOf(java.lang.String)">valueOf</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#values()">values</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a id="ARTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARTE</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> ARTE</pre>
</li>
</ul>
<a id="LCI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LCI</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> LCI</pre>
</li>
</ul>
<a id="M6">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M6</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> M6</pre>
</li>
</ul>
<a id="W9">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>W9</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> W9</pre>
</li>
</ul>
<a id="CHERIE25">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHERIE25</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> CHERIE25</pre>
</li>
</ul>
<a id="RMC_DECOUVERTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RMC_DECOUVERTE</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> RMC_DECOUVERTE</pre>
</li>
</ul>
<a id="EQUIPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EQUIPE</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> EQUIPE</pre>
</li>
</ul>
<a id="RMC_STORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RMC_STORY</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> RMC_STORY</pre>
</li>
</ul>
<a id="TER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TER</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> TER</pre>
</li>
</ul>
<a id="TF1_S_F">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TF1_S_F</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> TF1_S_F</pre>
</li>
</ul>
<a id="FRANCEO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRANCEO</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCEO</pre>
</li>
</ul>
<a id="TF1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TF1</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> TF1</pre>
</li>
</ul>
<a id="FRANCE3">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRANCE3</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCE3</pre>
</li>
</ul>
<a id="TMC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TMC</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> TMC</pre>
</li>
</ul>
<a id="FRANCEINFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRANCEINFO</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCEINFO</pre>
</li>
</ul>
<a id="CNEWS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CNEWS</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> CNEWS</pre>
</li>
</ul>
<a id="LCP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LCP</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> LCP</pre>
</li>
</ul>
<a id="FRANCE2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRANCE2</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCE2</pre>
</li>
</ul>
<a id="NRJ12">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NRJ12</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> NRJ12</pre>
</li>
</ul>
<a id="C8">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>C8</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> C8</pre>
</li>
</ul>
<a id="TFX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TFX</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> TFX</pre>
</li>
</ul>
<a id="CSTAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CSTAR</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> CSTAR</pre>
</li>
</ul>
<a id="FRANCE5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRANCE5</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCE5</pre>
</li>
</ul>
<a id="BFMTV">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BFMTV</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> BFMTV</pre>
</li>
</ul>
<a id="GULLI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GULLI</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> GULLI</pre>
</li>
</ul>
<a id="FRANCE4">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FRANCE4</h4>
<pre>public static final&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a> FRANCE4</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="values()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre class="methodSignature">public static&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared. This method may be used to iterate
over the constants as follows:
<pre>
for (Channel c : Channel.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a id="valueOf(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre class="methodSignature">public static&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&nbsp;valueOf&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a id="getChannelCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChannelCode</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getChannelCode()</pre>
</li>
</ul>
<a id="getChannelName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChannelName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getChannelName()</pre>
</li>
</ul>
<a id="getChannelFromCode(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChannelFromCode</h4>
<pre class="methodSignature">public static&nbsp;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&nbsp;getChannelFromCode&#8203;(java.lang.String&nbsp;code)</pre>
<div class="block">Get the channel name with its code</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>code</code> - the code in the XMLTV file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Enum&lt;<a href="Channel.html" title="enum in fr.polytech.ybene.prd.xmltv">Channel</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Channel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
